﻿@using SportsClub.Areas.Dashboard.Models
@model SchoolSettingProgramInfoViewModel
@{
    Layout = null;
}

<style>

</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SchoolSetting'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Program Information
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <div>
               
                <label for="@Html.Ang(m => m.ContactEmail)">Contact Email Address</label>
               
                    <div class="input-control text" data-role="input-control">
                        <input ng-model="@Html.Ang(m => m.ContactEmail)" type="text" disabled="disabled" />
                    </div>
                  
                <div class="clearfix"></div>
                <label>Enrichment coordinator</label>
                <div class="input-control select" data-role="input-control">
                    <div>

                        <select chosen ng-model="@Html.Ang(m => m.SelectedCoordinator)"
                                name="selectedCoordinator" data-placeholder="Select coordinator..."
                                ng-options="obj.Value as obj.Text for obj in Model.ListOfCoordinator"></select>
                    </div>
                </div>
                <div class="clearfix"></div>
                <label>Number of seasons per year</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.NumberOfSeasons)>
                    <input ng-model="@Html.Ang(m => m.NumberOfSeasons)" type="text" @Html.AngTooltipValidationFor(model => model.NumberOfSeasons) />
                </div>
                <div class="clearfix"></div>
                <label>Number of classes per season</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.NumberOfClassesPerSeason)>
                    <input ng-model="@Html.Ang(m => m.NumberOfClassesPerSeason)" type="text" @Html.AngTooltipValidationFor(model => model.NumberOfClassesPerSeason) />
                </div>
                <div class="clearfix"></div>
                <label>Max classes per day</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.MaxClassesPerDay)>
                    <input ng-model="@Html.Ang(m => m.MaxClassesPerDay)" type="text" @Html.AngTooltipValidationFor(model => model.MaxClassesPerDay) />
                </div>
                <div class="clearfix"></div>
                <label >Days classes meet</label>
                <div class="input-control choosen" data-role="input-control" >
                    <div >

                        <select chosen multiple ng-model="@Html.Ang(m => m.DaysClassesMeet)"
                                name="schoolType" data-placeholder="Select days classes meet"
                                ng-options="obj.Value as obj.Text for obj in Model.DaysOfWeek"></select>
                    </div>

                </div>
                <div class="clearfix"></div>
                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.BeforeSchool)" type="checkbox">
                            <span class="check"></span>
                            Before school
                        </label>
                    </div>
                </div>
                <div class="clearfix"></div>
                        <label>Number of students</label>
                        <div class="input-control select" data-role="input-control" >
                            <div >
                                <select chosen ng-model="@Html.Ang(m => m.SelectedSchoolSize)"
                                        name="mingarde" data-placeholder="Select number of students"
                                        ng-options="obj.Value as obj.Text for obj in Model.ListOfSchoolSizes"></select>
                               
                            </div>
                        </div>
                   
                <div class="clearfix"></div>
                        <label>Number of registrations per season</label>
                        <div class="input-control select" data-role="input-control" >
                            <div >
                                <select chosen ng-model="@Html.Ang(m => m.SelectedRegistrationSize)"
                                        name="maxgrade" data-placeholder="Select number of registrations per season"
                                        ng-options="obj.Value as obj.Text for obj in Model.ListOfRegistrationSizes"></select>
                            </div>
                        </div>
                <div class="clearfix"></div>
                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.OpenToNonStudents)" type="checkbox">
                            <span class="check"></span>
                            Open to Non-Students
                        </label>
                    </div>
                </div>
                <div class="clearfix"></div>
                <label>Translation needed</label>
                <div class="input-control text" data-role="input-control">
                    <input type="text" ng-model="@Html.Ang(m => m.TranslationNeeded)"></input>
                </div>
                <div class="clearfix"></div>
                <label>Folder day</label>
                <div class="input-control select" data-role="input-control">
                    <div>
                        <select chosen ng-model="@Html.Ang(m => m.FolderDay)"
                                name="maxgrade" data-placeholder="Select folder day"
                                ng-options="obj.Value as obj.Text for obj in Model.FolderDaysOfWeek"></select>
                    </div>
                </div>
                <div class="clearfix"></div>
                <label>Note</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.Note)"></textarea>
                </div>
            </div>
        </fieldset>
       

        <div class="clearfix"></div>
        <hr />
        <button ngaction="SchoolSetting_ProgramInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SchoolSetting'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>